MaJ 4.1 et ecran bloquer au demarrage avec Logo et la version sys.



  • Bonjour, je viens tout juste de faire ma mise a jour sur Recalbox, la 4.1, et le systeme de boot pas, ou plutôt je n'ai pas d'interface ! le système est bien accessible par réseau mais l'interface utilisateur est pas la ... quelqu'un pourrait m'éclairer ? je sais pas du tout d’où ça peut venir, j'ai bien le logo Recalbox avec la musique de Mario au démarrage et ensuite plus rien !



  • @animaniax Bonjour,

    Tu peux en dire plus sur ta configuration stp ? est-ce que tu peux accéder au réseau de ta recalbox ?



  • Alors oui j'accède a toute la configuration, je vous fais une copie de ce que j'ai dans le Config.txt :

    uncomment if you get no picture on HDMI for a default "safe" mode
    #hdmi_safe=1

    disable_overscan=1

    uncomment to force a specific HDMI mode (this will force VGA)

    #hdmi_group=1
    #hdmi_mode=1

    comment to get jack audio

    #hdmi_drive=2

    config_hdmi_boost=0

    force hdmi while the tv can take time before sending the signal on the hdmi output

    hdmi_force_hotplug=1

    uncomment for composite PAL

    #sdtv_mode=2

    uncomment for lirc-rpi

    #dtoverlay=lirc-rpi

    if you plug your tv at the same time as your rpi and that the rpi switches from the hdmi or give a low resolution because tv had no enough time to initialize it

    boot_delay=3

    uncomment if you don't want the rainbow at startup

    disable_splash=1

    Overclock

    arm_freq=1350
    over_voltage=5
    gpu_freq=550

    sdram overclock

    sdram_freq=550
    sdram_schmoo=0x02000020
    over_voltage_sdram_p=6
    over_voltage_sdram_i=4
    over_voltage_sdram_c=4

    avoid_safe_mode=1

    kernel=zImage

    NOOBS Auto-generated Settings:

    hdmi_force_hotplug=1
    dtparam=audio=on


    et aussi le cmdline.txt

    dwc_otg.fiq_fix_enable=1 sdhci-bcm2708.sync_after_dma=0 dwc_otg.lpm_enable=0 console=tty3 loglevel=3 elevator=deadline vt.global_cursor_default=0 logo.nologo root=/dev/mmcblk0p7 rootwait fastboot noswap ro usbhid.quirks=0x810:0xe001:0x040


    Pour mon Recalbox-boot.conf

    internal=/dev/mmcblk0p8
    sharedevice=INTERNAL



  • J'ai trouvé dans Recalbox/system/resources/Splash, un fichier qui s'appel " Recalboxintro.srt " qui contient:

    1
    00:00:00,000 --> 00:00:03,000
    4.1.0-master-rpi3-2017-10-12-19-13-15-36064905 2017/10/12 21:44

    C'est ce qui est indiqué a l'ecran et qui reste bloqué sur ça, ensuite il passe en veille et rien de répond, ni clavier, ni joystick... =(



  • @animaniax non tu as un plantage de ES si tout marche sauf ES. Pour ca il me faudrait ton archive de support : http://recalbox/help



  • #!/bin/sh

    GTMP="/tmp"
    DHOME="/recalbox/share/system"

    to be callable by any external tool

    if test $# -eq 1
    then
    REPORTNAME=$(basename "$1" | sed -e s+'^([^.])..$'+'\1'+)
    OUTPUTFILE=$1
    else
    REPORTNAME="recalbox-support-"$(date +%Y%m%d%H%M%S)
    OUTPUTFILE="/recalbox/share/saves/${REPORTNAME}.tar.gz"
    fi

    TMPDIR="${GTMP}/${REPORTNAME}"

    f_cp() {
    test -e "$1" && cp "$1" "$2"
    }

    d_cp() {
    test -d "$1" && cp -pr "$1" "$2"
    }

    if mkdir "${TMPDIR}" && mkdir "${TMPDIR}/"{system,joysticks,lirc,kodi}
    then
    if ! cd "${TMPDIR}"
    then
    echo "Change directory failed" >&2
    exit 1
    fi
    else
    echo "Reporting directory creation failed" >&2
    exit 1
    fi

    SYSTEM

    DSYSTEM="${TMPDIR}/system"
    dmesg > "${DSYSTEM}/dmesg.txt"
    lsmod > "${DSYSTEM}/lsmod.txt"
    ps > "${DSYSTEM}/ps.txt"
    df -h > "${DSYSTEM}/df.txt"
    netstat -tuan > "${DSYSTEM}/netstat.txt"
    lsusb -v > "${DSYSTEM}/lsusb.txt" 2>/dev/null
    tvservice -m CEA > "${DSYSTEM}/tvservice-CEA.txt"
    tvservice -m DMT > "${DSYSTEM}/tvservice-DMT.txt"
    ifconfig -a > "${DSYSTEM}/ifconfig.txt"
    lspci > "${DSYSTEM}/lspci.txt"
    amixer > "${DSYSTEM}/amixer.txt"
    aplay -l > "${DSYSTEM}/aplay-l.txt"
    DISPLAY=:0.0 glxinfo > "${DSYSTEM}/glxinfo.txt"
    DISPLAY=:0.0 xrandr > "${DSYSTEM}/xrandr.txt"
    connmanctl technologies > "${DSYSTEM}/connman-technologies.txt"
    connmanctl services > "${DSYSTEM}/connman-services.txt"
    f_cp /recalbox/recalbox.version "${DSYSTEM}"
    f_cp /recalbox/recalbox.arch "${DSYSTEM}"
    f_cp /boot/config.txt "${DSYSTEM}"
    f_cp /recalbox/share/system/recalbox.conf "${DSYSTEM}"
    d_cp /recalbox/share/system/logs "${DSYSTEM}"
    f_cp /var/log/messages "${DSYSTEM}"
    f_cp /recalbox/share/system/.emulationstation/es_settings.cfg "${DSYSTEM}"
    f_cp /recalbox/share/system/.emulationstation/es_log.txt "${DSYSTEM}"
    f_cp /recalbox/share/system/.emulationstation/es_input.cfg "${DSYSTEM}"
    f_cp /boot/recalbox-boot.conf "${DSYSTEM}"
    f_cp /var/log/Xorg.0.log "${DSYSTEM}"

    Emulators configs

    d_cp /recalbox/share/system/configs "${TMPDIR}/configs"

    joysticks

    DJOYS="${TMPDIR}/joysticks"
    find /dev/input > "${DJOYS}/inputs.txt"
    for J in /dev/input/event*
    do
    N=$(basename ${J})
    evtest --info "${J}" > "${DJOYS}/evtest.${N}.txt"
    udevadm info -q all -n "${J}" > "${DJOYS}/udevadm.${N}.txt"
    done
    sdl2-jstest -l > "${DJOYS}/sdl2-jstest.txt"

    lirc

    DLIRC="${TMPDIR}/lirc"
    f_cp "${DHOME}/.config/lirc/lircd.conf" "${DLIRC}"

    kodi

    DKODI="${TMPDIR}/kodi"
    f_cp "${DHOME}/.kodi/userdata/Lircmap.xml" "${DKODI}"
    f_cp "${DHOME}/.kodi/userdata/keymaps/recalbox.xml" "${DKODI}"
    d_cp "${DHOME}/.kodi/userdata/remotes" "${DKODI}"
    f_cp "${DHOME}/.kodi/temp/kodi.log" "${DKODI}"

    if ! (cd "${GTMP}" && tar cf - "${REPORTNAME}" | gzip -c > "${OUTPUTFILE}")
    then
    echo "Reporting zip creation failed" >&2
    exit 1
    fi

    rm -rf "${TMPDIR}"
    echo "${OUTPUTFILE}"
    exit 0



  • @animaniax Est-ce que ton Pi est suffisamment alimenté ? J'ai eu le même souci de démarrage en boucle en utilisant un chargeur de téléphone 3A. J'ai mis un "officiel" de 5A et plus de problèmes...



Want to support us ?

Join us on :

245
Online

31178
Users

15131
Topics

113836
Posts

Looks like your connection to Recalbox Forum was lost, please wait while we try to reconnect.